Documentation Index

Fetch the complete documentation index at: https://docs.restaurant365.com/llms.txt

Use this file to discover all available pages before exploring further.

/public/v1/pos/sales/import

Prev Next
Post
/public/v1/pos/sales/import

Import POS sales data for a specific location and business date

Security
HTTP
Type Bearer

Put ONLY your JWT Bearer token on textbox below!

Body parameters
Expand All
object
locationId
string (uuid)
businessDate
string (date)
importMode
string | null
sales
Array of object (R365.Sync.PosIngestion.Shared.Input.Sales.SaleRecord) | null
object
salesId
string | null
transactionDate
string (date-time)
checkNumber
string | null
guestCount
integer (int32)
salesAmount
number (double)
taxAmount
number (double)
tipAmount
number (double)
totalAmount
number (double)

Total monetary amount on the sale record.

autoGratuity
number (double)
isVoid
boolean
server
string | null
serviceType
string | null
revenueCenter
string | null
comment
string | null

Free-text comment associated with the sale record.

openDate
string (date-time) | null
pickupTime
string (date-time) | null
payments
Array of object (R365.Sync.PosIngestion.Shared.Input.Sales.SalePaymentRecord) | null
object
paymentType
string | null
server
string | null
comment
string | null

Free-text comment associated with the sale payment record.

company
string | null
customerText
string | null
tillId
string | null
amount
number (double)

Monetary amount on the sale payment record.

salesDetails
Array of object (R365.Sync.PosIngestion.Shared.Input.Sales.SaleDetailRecord) | null
object
menuItemName
string | null
categoryName
string | null
company
string | null
customerText
string | null
pluCode
string | null
sku
string | null
menuItemId
string | null
barcode
string | null
modifierGroupId
string | null
modifierGroupName
string | null
uniqueMenuItemId
string | null
amount
number (double)

Monetary amount on the sale detail record.

quantity
number (double)
taxAmount
number (double)
grossAmount
number (double)
discountAmount
number (double)
isVoid
boolean
isModifier
boolean
parentItemId
integer (int32)
itemId
integer (int32)
appliedSalesTaxes
Array of object (R365.Sync.PosIngestion.Shared.Input.Sales.AppliedTaxRecord) | null
object
taxRateId
string | null
taxName
string | null
taxRate
number (double)
totalAmount
number (double)

Total monetary amount on the applied tax record.

taxableAmount
number (double)
isInclusive
boolean
taxTypeId
integer (int32)
idempotencyKey
string | null
correlationId
string | null
clientTimestampUtc
string (date-time) | null
Responses
200

Sales data accepted for import

object
importId
integer (int64)
requestId
integer (int64)
isNewSession
boolean
correlationId
string | null
422

Unprocessable Content

Expand All
object
errorCode
string | null
innerError
object (R365.Errors.R365Error)
errorCode
string | null
innerError
object (R365.Errors.R365Error) Recursive